module PolyglotFlutter
  module Resource
    class Base < JsonApiClient::Resource
      extend PolyglotFlutter::Helper::Depaginate

      self.site = 'https://infinum.polyglothq.com/api/v2/'

      def self.token(token)
        self.connection_options = { headers: { 'X-Auth-Token' => token } }
        self
      end

      def self.depaginate(opts = {})
        depaginate_query(where(opts))
      end
    end
  end
end
