module PolyglotFlutter
  module Resource
    class Language < Base
      include Helper::General

      def code(use_simple_naming = false)
        code = locale.downcase
        return code unless use_simple_naming

        code.split('_').first
      end

      def clean_name
        clean_variable_name(name)
      end
    end
  end
end
