module PolyglotFlutter
  module IO
    class L10n

      class << self
        def write(l10n_path, arb_path, mandatory_language, output_localization_file)
          data = {
              'arb-dir' => arb_path,
              'template-arb-file' => "intl_#{mandatory_language.downcase}.arb",
              'output-localization-file' => "#{output_localization_file}.dart",
          }
          File.open(l10n_path, 'w') { |file| YAML.dump(data, file) }
        end

      end
    end
  end
end
  