module PolyglotFlutter
  module IO
    class Token
      KEYCHAIN_SERVICE = 'polyglot'
      KEYCHAIN_TOKEN_KEY = 'polyglot_token'

      class << self
        def write(token)
          keychain[KEYCHAIN_SERVICE, KEYCHAIN_TOKEN_KEY] = token
        end

        def read
          keychain[KEYCHAIN_SERVICE, KEYCHAIN_TOKEN_KEY]
        end

        def keychain
          @keychain ||= OSXKeychain.new
        end
      end
    end
  end
end
